Daily steps executions statistics

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Get the daily steps executions stats.

Response

AttributeTypeDescription
data[].typestringalways "timed_step_executions_stats"
data[].datestringdate of object. "2018-10-02"
data[].stepIDstringthe step ID
data[].stepNamestringthe step name
data[].executionsCountintthe number of hit of the step
data[].fallbacksCountintthe number of hit of the step’s fallback
data[].executionsPercentfloatrate of hit of the step on the total hit of steps for the day
{
    "data": [
        {
            "type": "timed_step_executions_stats",
            "stepID": "5b06d94cb76715002e6a12a6",
            "stepName": "hello world",
            "executionsCount": 2,
            "fallbacksCount": 0,
            "executionsPercent": 0.6666666667,
            "date": "2019-01-24"
        },
        {
            "type": "timed_step_executions_stats",
            "stepID": "5b06d94cb76715002e6a12a6",
            "storyName": "hello world",
            "executionsCount": 1,
            "fallbacksCount": 0,
            "executionsPercent": 1,
            "date": "2019-01-27"
        }
    ]
}
Path Params
string
required

a bot ID

Query Params
string
required

define the start date of the analysis, format must be %Y-%m-%d

string
required

define the end date of the analysis, format must be %Y-%m-%d.

string
required

the story ID

step_ids
array of strings

comma separated list of step IDs

step_ids
int32

number of results per page

int32
Defaults to 1

page of result

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json